# Retrieve partner case comments

This endpoint returns a comments list object, which is an array of comments that have been associated with the case. Comments are ordered newest to oldest and are not paginated (all comments returned at once).

Endpoint: GET /v1/cases/{caseId}/comments
Security: ClientCredentialsToken

## Path parameters:

  - `caseId` (integer, required)
    Partner Case ID.

## Response 200 fields (application/json):

  - `message` (string,null)
    Message providing context for the response if the comments list is empty due to the case status being in CREATING. null if case has been created.

  - `comments` (array)
    Array of comments associated with the case.

  - `comments.id` (integer)
    ID of the comment.
    Example: 16554865464081

  - `comments.plainBody` (string)
    The plain body of the comment. This can include simple markdown.
    Example: "We have resolved the issue with this transfer.\n\nThank you!"

  - `comments.author` (string)
    The author of the comment. Can be either PARTNER or WISE_AGENT.
    Example: "WISE_AGENT"

  - `comments.createdAt` (string)
    When the comment was created. Note that comments cannot be updated.
    Example: "2023-06-28T15:22:29.901"


